SHRED(1)

NAAM
shred - versnipper een bestand om de inhoud te verbergen, wis het optioneel

SAMENVATTING
shred [OPTIE]... [BESTAND]...

BESCHRIJVING

Overschrijft gegeven BESTAND(en) meerdere malen, om het zelfs voor heel dure apparatuur moeilijk te maken de inhoud ervan te herstellen.

Als BESTAND '-' is, dan wordt standaard uitvoer versnipperd.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-f, --force
    zo nodig toegangsrechten wijzigen om schrijven toe te staan

-n, --iterations=N
    dit aantal malen overschijven (i.p.v. de standaard 3)

--random-source=BESTAND
    BESTAND is bron van willekeurige bytes

-s, --size=N
    dit aantal bytes vernietigen (achtervoegsels als K, M, G mogen)

-u  na het overschrijven het bestand loskoppelen en verwijderen

--remove[=HOE]
    als -u, maar bepaal HOE te verwijderen. Zie hieronder

-v, --verbose
    tonen wat er gedaan wordt

-x, --exact
    bestandslengtes niet naar boven afronden op een vol blok; dit is standaard voor niet-reguliere bestanden

-z, --zero
    tot slot met nullen overschrijven om vernietiging te verhullen

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Verwijder BESTAND(en) als --remove (-u) gegeven werd. Standaard worden bestanden niet verwijderd omdat shred vaak toegepast wordt op apparaat bestanden (zoals /dev/hda) en meestal moet men die niet verwijderen. De optionele parameter HOE geeft aan hoe een item uit een map verwijderd moet worden: 'unlink' => een standaard unlink()-aanroep gebruiken; 'wipe' => ook eerst de bytes van de naam verdoezelen; 'wipesync' => ook elke verdoezelde byte naar schijf schrijven. De standaardmodus is 'wipesync', maar merk op dat dit "duur" kan zijn.

LET OP: shred gaat uit bestaande bestandssystemen en hardware om data te overschrijven. Hoewel dit gebruikelijk is, zijn er veel platform die anders werken. Ook kunnen backups en mirrors niet verwijderbare kopieën bevatten die het mogelijk maken een versnipperd bestand nadien te herstellen. Zie de GNU coreutils handleiding voor details.

AUTEUR
Geschreven door Colin Plumb.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/shred>
of lokaal via: info '(coreutils) shred invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.